| API Documentation |  |

- MAIN PAGE
- NAMESPACES
- CLASSES

Static Public Member Functions | List of all members
nkAstraeus::nkGraphicsWrap::RenderQueueWrapper Class Referencefinal

Wraps a nkGraphics::RenderQueue and offers functions for use in scripting. More...

## Static Public Member Functions
static void | updateEnvironment (nkScripts::Environment *env)
static nkScripts::OutputValue | addEntity (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | eraseEntity (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | clearQueue (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | getEntityCount (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | getEntity (const nkScripts::DataStack &stack)

## Detailed Description

Wraps a nkGraphics::RenderQueue and offers functions for use in scripting.

## Member Function Documentation

## ◆ updateEnvironment()

static void nkAstraeus::nkGraphicsWrap::RenderQueueWrapper::updateEnvironment | ( | nkScripts::Environment * | env | ) |
| static

Updates a given environment and set it up to use all functions wrapped by this wrapper.

Parameters

  env | The environment to set up.

## ◆ addEntity()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::RenderQueueWrapper::addEntity | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::RenderQueue::addEntity().

local e = rq:addEntity() ;

Parameters

  stack | The parameter stack.

Returns
  The output value, as a nkGraphics::Entity.

## ◆ eraseEntity()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::RenderQueueWrapper::eraseEntity | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::RenderQueue::eraseEntity().

rq:eraseEntity(e) ;

Parameters

  stack | The parameter stack.

Returns
  The output value, empty.

## ◆ clearQueue()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::RenderQueueWrapper::clearQueue | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::RenderQueue::clearQueue().

rq:clearQueue() ;

Parameters

  stack | The parameter stack.

Returns
  The output value, empty.

## ◆ getEntityCount()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::RenderQueueWrapper::getEntityCount | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::RenderQueue::getEntityCount().

local c = rq:getEntityCount() ;

Parameters

  stack | The parameter stack.

Returns
  The output value, as an int.

## ◆ getEntity()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::RenderQueueWrapper::getEntity | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::RenderQueue::getEntity().

local e = rq:getEntity(0) ;

Parameters

  stack | The parameter stack.

Returns
  The output value, as a nkGraphics::Entity.

The documentation for this class was generated from the following file:

- Documentation/Headers/NilkinsAstraeus/Scripts/nkGraphicsWrap/RenderQueues/RenderQueueWrapper.h